<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class supports Email Logging
 *
 * @package    Email
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Model_Email_Log extends ORM_OSB {
	// Email Log doesnt use the update column
	protected $_updated_column = FALSE;

	protected $_belongs_to = array(
		'account'=>array('far_key'=>'id'),
		'translate'=>array('model'=>'Email_Template_Translate','foreign_key'=>'email_template_translate_id'),
	);

	protected $_sorting = array(
		'id'=>'DESC',
	);

	protected $_display_filters = array(
		'date_orig'=>array(
			array('Config::datetime',array(':value')),
		),
	);

	/**
	 * Resolve a data variable into
	 */
	public function resolve($column) {
		return (! $this->data OR ! $this->translate->variables($column)) ? $this->translate->display($column) : $this->translate->complete($this->data,$column);
	}
}
?>
